package com.redxun.knowledge.album.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.checkerframework.checker.units.qual.A;

import java.io.Serializable;
import java.util.List;

/**
 * 文件名: AlbumCategoryPcVo
 * 作者: Zizg
 * 时间: 2023/2/8
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
public class AlbumCategoryPcVo implements Serializable {

    @ApiModelProperty("分类Id")
    private String pkId;

    @ApiModelProperty("分类名称")
    private String name;

    @ApiModelProperty("分类级别")
    private Long grade;

    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("下级节点")
    private List<AlbumCategoryPcVo> children;
}
